Topic: SumatraPDF by Prz42  (Read 6413 times)

0 Members and 1 Guest are viewing this topic.

SumatraPDF by Prz42
« on: February 04, 2015, 07:38:00 AM »

Prz42

  • Code Baker
  • Chef
  • ***
  • Date Registered: Jan 2014
  • Posts: 419
Hi Lancelot I noticed that you have SumatraPDF script.  I have been using Version 3 for a
while on Win8.1SE.  I don't know if this version works on Gena, but you can upload and try
it out for yourself. I found yours at.
http://gena.cwcodes.net/Projects/Gena/Apps/Supplementary/Office/SumatraPDF.Script

Latest Uploaded File

* SumatraPDF_Prz42.7z (66 kB - downloaded 21 times.)     :scooter:
« Last Edit: February 28, 2017, 09:54:02 AM by Prz42 »

Re: SumatraPDF version 3.0
« Reply #1 on: February 04, 2015, 04:50:38 PM »

Lancelot

  • Gena Baker
  • Grand Chef
  • *****
  • Date Registered: Sep 2010
  • Posts: 7012
Thanks Mark,

updated on Gena server  :thumbsup:

I see now you very easly create plugins  :great: :great: :great:

ps:
update your Plugin Creator  :wink:

See You ( a lot later)
Have fun
:turtle:

Re: SumatraPDF version 3.0
« Reply #2 on: September 07, 2015, 11:29:53 AM »

Prz42

  • Code Baker
  • Chef
  • ***
  • Date Registered: Jan 2014
  • Posts: 419
Updated the script to include 64 bit

1ST Post attachment

« Last Edit: November 25, 2015, 01:51:23 PM by Prz42 »

Re: SumatraPDF version 3.0
« Reply #3 on: September 08, 2015, 10:01:06 AM »

Lancelot

  • Gena Baker
  • Grand Chef
  • *****
  • Date Registered: Sep 2010
  • Posts: 7012
Hi Prz42,

I could not find sumatra x64 on official website,

and there is already Sumatra Plugin made by Kyhi that includes Sumatra x64 (I guess not official)
which you can use also on Gena with
Gena\Utils\"Share Plugins" -> Get Links From -> Win10PESE

**
ps:
on plugin writing,
 If I don't miss anything
   I don't think sumatra x64 is special to win10 !
      and Forcex64_CheckBox I see no such requirement and wrong code logic...
**

shortly:
there is already one from Kyhi, I feel better wait official on this plugin  :thumbsup:

:turtle:

Re: SumatraPDF version 3.0
« Reply #4 on: September 08, 2015, 01:42:47 PM »

Prz42

  • Code Baker
  • Chef
  • ***
  • Date Registered: Jan 2014
  • Posts: 419

I could not find sumatra x64 on official website,

ps:
on plugin writing,
 If I don't miss anything
   I don't think sumatra x64 is special to win10 !
      and Forcex64_CheckBox I see no such requirement and wrong code logic...
**
:turtle:

It is only Beta, but on the forced 64 I followed your lead on
Opera.  Or maybe I missed something in the Advance Interface.

Kyhi plugin didn't have some of the advance things like your script
in the registry. I noticed that after doing a build in Windows 10.

I like your Ghost script with provide files @
http://yomi.cwcodes.net/Yomi/AppY/HD%20Tasks/Imaging/Ghost_Lance.script
That keeps the copy right issue from this site.    :thumbsup:

Re: SumatraPDF version 3.0
« Reply #5 on: September 08, 2015, 05:37:56 PM »

Lancelot

  • Gena Baker
  • Grand Chef
  • *****
  • Date Registered: Sep 2010
  • Posts: 7012
Ok,
I will wait some more to see if we have x64 on sumatra website...

Opera is a special case ..... ,
  special checkbox to test x86 on pex64 to test easly by plugin developers and for other reasons special to Opera ........ etc...
    With current default settings, as usual,
      Opera x64 used on x64 PE, like with all x86/x64 plugins.....
        Special adjustments are not templates for all plugins......  :wink:

Shortly: you don't need such thing regularly.

*
Replied Ghost plugin thing on other topic,
 it is verrrrry old plugin (maybe 5 years) which I made I guess following Amalux plugin at that times  :wink:
  one of my precious plugins I had fun on developing.

:turtle:


Re: SumatraPDF version 3.0
« Reply #6 on: September 10, 2015, 02:23:46 PM »

KYHI

  • Code Baker
  • Sr. Chef
  • ****
  • Location: Kentucky
  • Date Registered: Jan 2015
  • Posts: 909
here is a link to ChrisR sumatrapdf x64 > http://theoven.org/index.php?action=dlattach;topic=1308.0;attach=2648

Quote
Kyhi plugin didn't have some of the advance things like your script
in the registry.

I left out the open with in context menu - as the 3 supported file assocations are there, so no need for open with sumatrapdf on a pdf or xps or chm file (they open in sunatrapdf by double click)
« Last Edit: September 10, 2015, 02:27:51 PM by KYHI »

Re: SumatraPDF version 3.0
« Reply #7 on: September 10, 2015, 09:57:00 PM »

Lancelot

  • Gena Baker
  • Grand Chef
  • *****
  • Date Registered: Sep 2010
  • Posts: 7012
Hi KYHI,

Some ideas for "Open With"

+
I guess Open With there because of XCHM

Or another guess:
Open maybe broken by an early dll registration, so keeping a fallback with "Open With"


Only sharing my guess, I can't remember reason of "Open With" clearly, it is too old  :smile:

:turtle:

Re: SumatraPDF version 3.0
« Reply #8 on: September 11, 2015, 02:58:32 AM »

KYHI

  • Code Baker
  • Sr. Chef
  • ****
  • Location: Kentucky
  • Date Registered: Jan 2015
  • Posts: 909
Mark has the script so when you hover over .PDF and right click the context menu says :open with sumatrapdf
kind of redundant, because a double click will open the .PDF in sumatrapdf

.PDF is the only file extension he choose to do "open with"
he also added e-book reader file assocations and upgraded 3.0 to 3.1

So as stated the SumatraPDF 3.1 x86 and x64 plugin already exists...
he even start topic of sumatraPDF 3.1 with the modification of my current script, for which he removed his version, after my response, and has since posted it here.. Under SumadraPDF 3.0

The New Script title does bear his name - so a meaningful addition
« Last Edit: September 11, 2015, 03:04:09 AM by KYHI »

Re: SumatraPDF version 3.0
« Reply #9 on: September 11, 2015, 03:14:03 AM »

Lancelot

  • Gena Baker
  • Grand Chef
  • *****
  • Date Registered: Sep 2010
  • Posts: 7012
I am around KYHI,

No need worry  :wink:
 :horse:  :thumbsup:

Just keep me up if I miss, I can't be around all year continuously  :great:

And sometimes miss topics being away long time.......


About Open With:
 It is only meaningful when you use it with multiple plugins,
  like sumatra, xchm, acrobat.....
    one of them will "Open" overwriting other's setting, others will be listed on "Open With" list ;)

and as you say, if you are only using 1 plugin, it is not meaningful  :smile:

Anyway I can put a checkbox on SumatraPDF plugin on Gena,
 "Add OpenWith" feeling this is annoying you, what you think ?

Re: SumatraPDF version 3.0
« Reply #10 on: September 11, 2015, 06:30:48 AM »

KYHI

  • Code Baker
  • Sr. Chef
  • ****
  • Location: Kentucky
  • Date Registered: Jan 2015
  • Posts: 909
SumatraPDF 3.0 is a 32bit version - that did not work under win10se due to no syswow support..
ChrisR uploaded a 64bit Only version of SumatraPDF, I added x86 version to it and add file assoccations
which was in addition to the 3.1 ChrisR uploaded (improvement to his script)

SumatraPDF 3.1 supports 32bit and 64bit and does not require syswow support, so it works with win10se and prior OS..

"open with" is not an issue.. And it can easily be added to current 3.1 script (if needed) which would be an addition to the current 3.1 script..

It is all the Mark-a-facations to script's, that I have issue with..

I see no reason to update 3.0 to 3.1 - when 3.1 already exists..
I see no reason to remove functions from 3.1 or limit function of 3.1, because 3.0 exists..

@Mark
If you want to ADD "open with" in 3.1 > then add all supported file types - not just the .PDF file Ext (as is the case with 3.0 script)
I could of copy and pasted that registry section into current 3.1 script (I choose not to)
So, if you want to IMPROVE function of script - then ADD all the functions.. Not just C/P one function from another script, into your script..
And as long as you add your name to a script - I know enough now to disregard the scripts you modify..

Re: SumatraPDF version 3.0
« Reply #11 on: September 11, 2015, 01:58:43 PM »

ChrisR

  • Win7PE SE Baker
  • Grand Chef
  • *****
  • Date Registered: Mar 2011
  • Posts: 2809
Just to say that I fully understand you :thumbsup:
The horseman is ready if needed :shhh:

Re: SumatraPDF version 3.0
« Reply #12 on: September 11, 2015, 08:59:14 PM »

Lancelot

  • Gena Baker
  • Grand Chef
  • *****
  • Date Registered: Sep 2010
  • Posts: 7012
Hi,

I update and gather anything I find about Sumatra plugin, on Gena server,
Let me know if you want anything ?

maybe we can continue with this plugin on servers ?

Hopefully this will end things about Sumatra plugin   :cool:

Re: SumatraPDF version 3.0
« Reply #13 on: September 11, 2015, 09:24:12 PM »

Lancelot

  • Gena Baker
  • Grand Chef
  • *****
  • Date Registered: Sep 2010
  • Posts: 7012
Hi Prz42,

There needs to be logical reason behind renaming title/name of plugin.....

example:
there is
SumatraPDF.script Plugin on Gena
SumatraPDF_v3.1.script Plugin on Win10PESE
2 different file names not mix anything,

The reason behind 2 plugins,
 since Win10PESE needs an x64 pdf reader, with Sumatra website not having one,
   and We can't always find time or interest to check all things,

There maybe other logical reasons for such different named plugins
some none application example:
with another logic, We have 4 same plugins on Gena with different names ;)
with another logic, Update ..... Exact Secure plugins are same, they are at 5 (+2) different project with different names....
with another logic......... ) .......


ex:
I retired old plugin to Yomi server
Acronis TrueImage_WinPE_2015_14_13_12
and followed
Acronis TrueImage_WinPE
on other topic, following KYHI replies,
since I have no time to check what you have done.


It is about common sense logic,
 Which most can follow , I hope you can in near future.


Maybe better you focus on other plugins for applications than the ones inside projects, That is a big area  :great:

:turtle:

Re: SumatraPDF version 3.0
« Reply #14 on: September 12, 2015, 02:38:43 AM »

KYHI

  • Code Baker
  • Sr. Chef
  • ****
  • Location: Kentucky
  • Date Registered: Jan 2015
  • Posts: 909
this goes way beyond SumatraPDF..
Acronis 2015 / 2016 are x64 PE only and added to 32bit prior Acronis script - using same provide files folder - the version of BartPE determines the version, not the regkey

The acronis plugins I uploaded have the option to pull the regkey value (although NOT Reguired and is obsolete ) it is fully functional, you just need ATI201*_Addon

Aomei Partition Assistant standard was re-written to include Pro download (which reguires unlock value) to be functional = useless script addition to PA Standard

The Aomei Partition Assistant Professional script I uploaded is a Pro only version = and is fully functional

Aomei backupper and Backupper Pro same thing..

Problem is finding original (non-Mark modified) scripts.. or finding several Mark modified versions of same plugin (because old versions links NOT removed)

I have modified a lot of the program scripts - cleaned up interface, expanded text and title boxes, added full description, changed wording, changed folder names and locations - to suit my liking..
I do not upload the changes I made to these script, because it is not my place to say what the author intended..

And I have more time to spend on the details..
« Last Edit: September 13, 2015, 02:56:46 AM by KYHI »

Re: SumatraPDF version 3.0
« Reply #15 on: September 12, 2015, 10:22:38 AM »

Prz42

  • Code Baker
  • Chef
  • ***
  • Date Registered: Jan 2014
  • Posts: 419
Hi Prz42,

There needs to be logical reason behind renaming title/name of plugin.....

example:
there is
SumatraPDF.script Plugin on Gena
SumatraPDF_v3.1.script Plugin on Win10PESE
2 different file names not mix anything,

Maybe better you focus on other plugins for applications than the ones inside projects, That is a big area  :great:

:turtle:

I rechecked the SumatraPDF and the reason for the modification was so it could run on all Windows versions.
Maybe my thinking is incorrect, but when you use normal not ram it need to be able to work in Duel Boot.

I normally build in 64 bit version first then store the boot.wim in the Multi-WIM script. Then build the 32 version.
Any programs that were in the Normal or Program directory is now rewritten to 32 version. After booting into the
64 bit version any folder that are not compatible with the 64 bit version in Programs won't execute. So with all that said
if a 32 bit program will work in 64 bit like Sumatra PDF uses the 32 bit program.  This doesn't work in Windows 10 64 bit
so additional entries need to be added.
I will follow your directions.

Re: SumatraPDF version 3.0
« Reply #16 on: September 13, 2015, 02:54:10 AM »

KYHI

  • Code Baker
  • Sr. Chef
  • ****
  • Location: Kentucky
  • Date Registered: Jan 2015
  • Posts: 909
so to suit your > Dual Boot needs < you change the scripts that everybody use..


Re: SumatraPDF version 3.0
« Reply #17 on: September 15, 2015, 01:10:06 PM »

Lancelot

  • Gena Baker
  • Grand Chef
  • *****
  • Date Registered: Sep 2010
  • Posts: 7012
Coming back to this topic late, since other things to focus...

> Dual Boot needs <
Apps plugins designed that way , even yours fit that design so it can not be excuse of Prz42 with Multi-WIM...

Theorically , you can make 5x2=10 builds with 5 projects (x86 & x64),
put all on same cd/ufd, using same program folder  :great:

this goes way beyond SumatraPDF..
Acronis 2015 / 2016 are x64 PE only and added to 32bit prior Acronis script - using same provide files folder - the version of BartPE determines the version, not the regkey

The acronis plugins I uploaded have the option to pull the regkey value (although NOT Reguired and is obsolete ) it is fully functional, you just need ATI201*_Addon
I can't catch up all things quickly,
 If you can guide me step by step with Acronis Plugins on server (Gena) (or following previous Acronit TI plugin if it is the right path), where to change etc. I can follow you  :thumbsup: :thumbsup:


Aomei Partition Assistant standard was re-written to include Pro download (which reguires unlock value) to be functional = useless script addition to PA Standard

The Aomei Partition Assistant Professional script I uploaded is a Pro only version = and is fully functional

Aomei backupper and Backupper Pro same thing..
Ok I will follow your Aomei plugins, give me links of your final plugins :thumbsup:


Problem is finding original (non-Mark modified) scripts.. or finding several Mark modified versions of same plugin (because old versions links NOT removed)
ok, than: Mark, please remove old version links.

I have modified a lot of the program scripts - cleaned up interface, expanded text and title boxes, added full description, changed wording, changed folder names and locations - to suit my liking..
I do not upload the changes I made to these script, because it is not my place to say what the author intended..
:thumbsup: :thumbsup: :thumbsup:

We can add some of your likings if you share  :great:

And I have more time to spend on the details..
Well we don't have big time to spend,
We can only follow one by one, within verry limited free time.....

Yes Mark posts also confuse me, I try to catch what is missing all the time,
since he creates a new plugin and pastes history and version number from old one, adding things....
 It is not possible to follow easly with existing plugin when plugin is big,
   One need to read both completely and I don't have such time all the time...    :whistling:
only I didn't check Acronis TI, which later I noticed folder path again changed, and I don't know what more,
 hopefully end user won't complain....

Well, If you can feedback slowly one by one, I can catch  :thumbsup:



***
Lately I worked on organisation of such plugins, using single server as distribution,
 Things will be nicer since one would not get lost inside posts,
   Instead find mostly latest on a download list  :thumbsup:

but, it requires time,
as you notice Chris focus on Win10PESE related things these days, new project following new things with his available time,
Galapo very busy with job family etc... ,
and Summer is over to me, being verry busy next week,



That is the reason, I can follow feedback if not "all at once",
 but one by one   :thumbsup: :thumbsup:

Well writing big posts takes time to write, and reply,
Further let's focus on improvments likings you figure out, but slowly  :great:
on other topics  :wink:

:turtle:


@Prz42

As I wrote,
Figure out a common sense logic that will not disturb others (including me),
 Listen to all advices critics written to you so far, It should be understandable after trying to figure out..
   Hopefuly, As I wrote before, for the last time, Good luck...

:turtle:

Re: SumatraPDF version 3.0
« Reply #18 on: September 16, 2015, 05:52:45 PM »

Prz42

  • Code Baker
  • Chef
  • ***
  • Date Registered: Jan 2014
  • Posts: 419
Coming back to this topic late, since other things to focus...

Aomei Partition Assistant standard was re-written to include Pro download (which reguires unlock value) to be functional = useless script addition to PA Standard

The Aomei Partition Assistant Professional script I uploaded is a Pro only version = and is fully functional

Aomei backupper and Backupper Pro same thing..
Ok I will follow your Aomei plugins, give me links of your final plugins :thumbsup:

:turtle:

This is the link for Aomei Partition Assistant Professional
http://theoven.org/index.php?topic=1298.msg15029#msg15029
And Aomei Backupper Professional
http://theoven.org/index.php?topic=1296.msg15009#msg15009

Both of these script let you choose Standard or Pro
Made Bootable Media Wizard from each program to try to make
exact copies. The Partition Assistant Professional in x86 has two
more functions than the 64 bit version. Hopefully these scripts
meet your expectations. They are renamed to Prz42 to stop confusion.

I don't see any extra posts of mine with attachments.
I will check the other area's and give links to you later.
Thanks for any help.
 :scooter:

Re: SumatraPDF version 3.0
« Reply #19 on: September 16, 2015, 11:53:40 PM »

KYHI

  • Code Baker
  • Sr. Chef
  • ****
  • Location: Kentucky
  • Date Registered: Jan 2015
  • Posts: 909
Mark,
You just don't get it, do ya..

Quote
This is the link for Aomei Partition Assistant Professional
http://theoven.org/index.php?topic=1298.msg15029#msg15029
And Aomei Backupper Professional
http://theoven.org/index.php?topic=1296.msg15009#msg15009

Both of these script let you choose Standard or Pro

Quote
Ok I will follow your Aomei plugins, give me links of your final plugins :thumbsup:
That statement was not in Reference to you..
Yet again you always seem to think, this forum is all about you..
« Last Edit: September 17, 2015, 12:02:08 AM by KYHI »

 

Powered by EzPortal